iTerrainDataFeeder Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iTerrainDataFeeder Struct Reference

Provides an interface for reading cell data. More...

`#include <imesh/terrain2.h>`

Inheritance diagram for iTerrainDataFeeder:

List of all members.

## Public Member Functions
virtual csPtr < iTerrainCellFeederProperties > | CreateProperties ()=0
| Create an object that implements iTerrainCellFeederProperties This object will be stored in the cell.
virtual bool | Load (iTerrainCell *cell)=0
| Load cell data.
virtual bool | PreLoad (iTerrainCell *cell)=0
| Start cell data preloading (in case of threaded/async loading).
virtual void | SetParameter (const char *param, const char *value)=0
| Set feeder-dependent parameter.

## Detailed Description

Provides an interface for reading cell data.

Definition at line 288 of file terrain2.h.

## Member Function Documentation

virtual csPtr<iTerrainCellFeederProperties> iTerrainDataFeeder::CreateProperties | ( |  | ) | `[pure virtual]`

Create an object that implements iTerrainCellFeederProperties This object will be stored in the cell.

This function gets invoked at cells creation.

Returns:
  properties object

virtual bool iTerrainDataFeeder::Load | ( | iTerrainCell * | cell | ) | `[pure virtual]`

Load cell data.

After the completion of this call the cell should have all necessary information.

Parameters:

  cell | cell to load

Returns:
  loading success flag

virtual bool iTerrainDataFeeder::PreLoad | ( | iTerrainCell * | cell | ) | `[pure virtual]`

Start cell data preloading (in case of threaded/async loading).

This is triggered by TerrainSystem::PreLoadCells, which is either called by user or called automatically while rendering terrain.

Parameters:

  cell | cell to start preloading for

Returns:
  preloading success flag

virtual void iTerrainDataFeeder::SetParameter | ( | const char * | param,
|  | const char * | value
| ) |  | `[pure virtual]`

Set feeder-dependent parameter.

Parameters:

  param | parameter name
  value | parameter value

The documentation for this struct was generated from the following file:

- imesh/terrain2.h